Go to the latest version of this document.

# ``twisted`.`logger`.`_util``

module documentation
(source)

Logging utilities.

Function | `formatTrace` | Format a trace (that is, the contents of the `log_trace` key of a log event) as a visual indication of the message's propagation through various observers.

def formatTrace(trace: `LogTrace`) -> `str`: (source)

Format a trace (that is, the contents of the `log_trace` key of a log event) as a visual indication of the message's propagation through various observers.

Parameters
trace:`LogTrace` | the contents of the `log_trace` key from an event.

Returns
`str` | A multi-line string with indentation and arrows indicating the flow of the message through various observers.